package com.fq.channel.sdk.base.net.req;

import org.json.JSONObject;

/**
 * @Description: 渠道登录请求体
 * @Author: FLuty
 * @CreateDate: 2020/4/13 09:35
 */
public class RepLoginBody<T>{


    /**
     * channelType : oppo
     *  channelId  :  channelId
     *  adid :  adid
     * channelParams :
     */

    private String channelType;
    private String channelId;
    private String adid;
    private T channelParams;

    public String getChannelType() {
        return channelType;
    }

    public void setChannelType(String channelType) {
        this.channelType = channelType;
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getAdid() {
        return adid;
    }

    public void setAdid(String adid) {
        this.adid = adid;
    }

    public T getChannelParams() {
        return channelParams;
    }

    public void setChannelParams(T channelParams) {
        this.channelParams = channelParams;
    }
}
